> ## Documentation Index
> Fetch the complete documentation index at: https://documentation.idenfy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve bank verification



## OpenAPI

````yaml /openapi/bank.yaml get /bank/verifications/{id}/
openapi: 3.1.0
info:
  title: iDenfy IVS Core API
  version: 0.0.0
  description: iDenfy Identity Verification Service's Core API documentation.
  contact:
    name: API Support
    url: https://idenfy-ivs.atlassian.net/servicedesk/customer/portal/1/group/-1
  x-logo:
    url: /static/idenfy_logo.svg
    altText: iDenfy logo
servers:
  - url: https://ivs.idenfy.com
security: []
tags:
  - name: Bank
    description: Bank verification endpoints.
  - name: Webhooks
    description: Webhooks.
externalDocs:
  description: For other/more docs on iDenfy services visit our main documentation page.
  url: https://documentation.idenfy.com
paths:
  /bank/verifications/{id}/:
    get:
      tags:
        - Bank
      summary: Retrieve bank verification
      operationId: bankVerificationsRetrieve
      parameters:
        - in: path
          name: id
          schema:
            type: string
            format: uuid
          description: A UUID string identifying this bank verification.
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BankVerification'
          description: ''
      security:
        - apiKeyPair: []
components:
  schemas:
    BankVerification:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        country:
          allOf:
            - $ref: '#/components/schemas/CountryEnum'
          nullable: true
        bank:
          type: string
          nullable: true
          maxLength: 32
        accounts:
          type: array
          items:
            $ref: '#/components/schemas/BankAccount'
          nullable: true
        riskLevel:
          allOf:
            - $ref: '#/components/schemas/RiskLevelEnum'
          nullable: true
        clientId:
          type: string
          readOnly: true
          nullable: true
          description: The clientId given when the bank verification token was created.
        externalRef:
          type: string
          readOnly: true
          nullable: true
          description: The externalRef given when the bank verification token was created.
      required:
        - accounts
        - clientId
        - externalRef
        - id
        - riskLevel
    CountryEnum:
      enum:
        - AF
        - AX
        - AL
        - DZ
        - AS
        - AD
        - AO
        - AI
        - AQ
        - AG
        - AR
        - AM
        - AW
        - AU
        - AT
        - AZ
        - BS
        - BH
        - BD
        - BB
        - BY
        - BE
        - BZ
        - BJ
        - BM
        - BT
        - BO
        - BQ
        - BA
        - BW
        - BV
        - BR
        - IO
        - BN
        - BG
        - BF
        - BI
        - CV
        - KH
        - CM
        - CA
        - KY
        - CF
        - TD
        - CL
        - CN
        - CX
        - CC
        - CO
        - KM
        - CG
        - CK
        - CR
        - CI
        - HR
        - CU
        - CW
        - CY
        - CZ
        - CD
        - DK
        - DJ
        - DM
        - DO
        - EC
        - EG
        - SV
        - GQ
        - ER
        - EE
        - SZ
        - ET
        - FK
        - FO
        - FJ
        - FI
        - FR
        - GF
        - PF
        - TF
        - GA
        - GM
        - GE
        - DE
        - GH
        - GI
        - GR
        - GL
        - GD
        - GP
        - GU
        - GT
        - GG
        - GN
        - GW
        - GY
        - HT
        - HM
        - HN
        - HK
        - HU
        - IS
        - IN
        - ID
        - IR
        - IQ
        - IE
        - IM
        - IL
        - IT
        - JM
        - JP
        - JE
        - JO
        - KZ
        - KE
        - KI
        - XK
        - KW
        - KG
        - LA
        - LV
        - LB
        - LS
        - LR
        - LY
        - LI
        - LT
        - LU
        - MO
        - MG
        - MW
        - MY
        - MV
        - ML
        - MT
        - MH
        - MQ
        - MR
        - MU
        - YT
        - MX
        - FM
        - MD
        - MC
        - MN
        - ME
        - MS
        - MA
        - MZ
        - MM
        - NA
        - NR
        - NP
        - NL
        - NC
        - NZ
        - NI
        - NE
        - NG
        - NU
        - NF
        - KP
        - MK
        - MP
        - 'NO'
        - OM
        - PK
        - PW
        - PS
        - PA
        - PG
        - PY
        - PE
        - PH
        - PN
        - PL
        - PT
        - PR
        - QA
        - RE
        - RO
        - RU
        - RW
        - BL
        - SH
        - KN
        - LC
        - MF
        - PM
        - VC
        - WS
        - SM
        - ST
        - SA
        - SN
        - RS
        - SC
        - SL
        - SG
        - SX
        - SK
        - SI
        - SB
        - SO
        - ZA
        - GS
        - KR
        - SS
        - ES
        - LK
        - SD
        - SR
        - SJ
        - SE
        - CH
        - SY
        - TW
        - TJ
        - TZ
        - TH
        - TL
        - TG
        - TK
        - TO
        - TT
        - TN
        - TR
        - TM
        - TC
        - TV
        - UG
        - UA
        - AE
        - GB
        - UM
        - US
        - UY
        - UZ
        - VU
        - VA
        - VE
        - VN
        - VG
        - VI
        - WF
        - EH
        - YE
        - ZM
        - ZW
      type: string
    BankAccount:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        name:
          type: string
          nullable: true
          maxLength: 128
        iban:
          type: string
          nullable: true
          maxLength: 34
        accountIdentification:
          type: string
          nullable: true
          maxLength: 128
        accountSchemeName:
          allOf:
            - $ref: '#/components/schemas/SchemeNameEnum'
          nullable: true
        accountIssuer:
          type: string
          nullable: true
          maxLength: 128
        allAccountIds:
          type: array
          items:
            $ref: '#/components/schemas/BankAccountIdentificationWebhook'
          readOnly: true
          nullable: true
        accountServicer:
          type: object
          additionalProperties: {}
          nullable: true
        currency:
          type: string
          maxLength: 3
        details:
          type: string
          nullable: true
          maxLength: 128
        usage:
          allOf:
            - $ref: '#/components/schemas/UsageTypeEnum'
          nullable: true
        cashAccountType:
          $ref: '#/components/schemas/CashAccountTypeEnum'
        product:
          type: string
          nullable: true
          maxLength: 128
        psuStatus:
          type: string
          nullable: true
          maxLength: 128
        creditLimitAmount:
          type: string
          format: decimal
          pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
          nullable: true
        creditLimitCurrency:
          type: string
          nullable: true
          maxLength: 3
        legalAge:
          type: boolean
          nullable: true
        postalAddress:
          type: object
          additionalProperties: {}
          nullable: true
        identificationHash:
          type: string
          maxLength: 256
        identificationHashes:
          type: array
          items:
            type: string
          readOnly: true
          nullable: true
        balancesOverview:
          allOf:
            - $ref: '#/components/schemas/BankBalancesOverviewWebhook'
          nullable: true
        transactionsCount:
          type: number
          format: double
          nullable: true
      required:
        - allAccountIds
        - balancesOverview
        - cashAccountType
        - currency
        - id
        - identificationHash
        - identificationHashes
        - transactionsCount
    RiskLevelEnum:
      enum:
        - VERY_LOW
        - LOW
        - MEDIUM
        - HIGH
        - VERY_HIGH
        - NOT_CHECKED
      type: string
    SchemeNameEnum:
      enum:
        - CHID
        - GS1G
        - DUNS
        - BANK
        - TXID
        - CUST
        - EMPL
        - OTHC
        - DRLC
        - CUSI
        - SOSE
        - ARNU
        - CCPT
        - TXII
        - EMPI
        - OTHI
        - COID
        - SREN
        - SRET
        - NIDN
        - OAUT
        - CPAN
        - BBAN
        - IBAN
        - MIBN
        - BG
        - PG
        - BGNR
        - PGNR
      type: string
    BankAccountIdentificationWebhook:
      type: object
      properties:
        identification:
          type: string
        schemeName:
          $ref: '#/components/schemas/SchemeNameEnum'
        issuer:
          type: string
          nullable: true
      required:
        - identification
        - issuer
        - schemeName
    UsageTypeEnum:
      enum:
        - PRIV
        - ORGA
      type: string
    CashAccountTypeEnum:
      enum:
        - CACC
        - CASH
        - CARD
        - LOAN
        - OTHR
        - SVGS
      type: string
    BankBalancesOverviewWebhook:
      type: object
      properties:
        bookedBalance:
          type: number
          format: double
          nullable: true
        availableBalance:
          type: number
          format: double
          nullable: true
      required:
        - availableBalance
        - bookedBalance
  securitySchemes:
    apiKeyPair:
      type: http
      scheme: basic
      description: >-
        The request must contain basic auth headers where username is *API key*
        and password is *API secret*.<br>

        In order for you to start using our API you will need an **API key** and
        **API secret**.<br>

        Both can be retrieved by contacting *iDenfy's support* or *iDenfy's
        sales team*.

````

## Related topics

- [Bank Verification API](https://documentation.idenfy.com/bank-verification/overview.md)
- [Bank Verification in KYB Flow](https://documentation.idenfy.com/guides/dashboard/kyb/bank-verification-on-kyb.md)
- [Bank Verification Workflow Step](https://documentation.idenfy.com/guides/dashboard/bank/step-bank-verification.md)
- [Bank verification](https://documentation.idenfy.com/api-reference/webhooks/bank-verification.md)
- [Bank Card Verification](https://documentation.idenfy.com/guides/dashboard/features/bank-card-verification.md)


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.